<ui:composition template="templateMenu.xhtml"
 xmlns="http://www.w3.org/1999/xhtml"
 xmlns:f="http://java.sun.com/jsf/core"
 xmlns:h="http://java.sun.com/jsf/html"
 xmlns:ui="http://java.sun.com/jsf/facelets"
 xmlns:p="http://primefaces.org/ui"
 xmlns:ui2="http://java.sun.com/jsf/facelets"
>
 
 
<ui:define name="principal">

<h:form id="formInscricao">
<p:growl id="mensagem"/>


	<p:panel columns="5" style="margin-bottom:0px; font-size: 16px; padding: 1px 1px; margin: 6px 6px">
 	
 	<f:facet name="header">
            Inscrição
    </f:facet>
    
 	<p:panelGrid style="margin-bottom:5px; font-size: 16px; padding: 4px 12px; margin: 4px 6px" columns="4">

     <p:outputLabel for="categoria" value="Categoria: "/>
     <h:selectOneMenu id="categoria" converter ="ConverterCategoria" required="true" value="#{inscricaoMB.inscricao.categoria}"  style="width:205px">
       <f:selectItem itemLabel= "Selecione a categoria" noSelectionOption="false"/>
       <f:selectItems value="#{categoriaMB.categorias}" />
     </h:selectOneMenu>
     
     <p:outputLabel for="equipe" value="Equipe: "/>
     <h:selectOneMenu id="equipe" converter ="ConverterEquipe"  required="true" value="#{inscricaoMB.inscricao.equipe}"  style="width:205px">
       <f:selectItem itemLabel= "Selecione a equipe" noSelectionOption="false"/>
       <f:selectItems value="#{equipeMB.equipes}" />
     </h:selectOneMenu>
     
     </p:panelGrid>  
     
     <p:panelGrid style="margin-bottom:0px; font-size: 16px; padding: 4px 12px; margin: 6px 6px" columns="2">
     
     <h:panelGrid columns="2" style="margin-bottom:0px" cellpadding="5">
        <h:outputText value="Pagamento" />
        <p:selectBooleanButton id="value1" value="#{inscricaoMB.inscricao.pagamento}" onLabel="Sim" offLabel="Não" style="width:60px" />
     </h:panelGrid>
     
     <h:panelGrid columns="2" style="margin-bottom:0px" cellpadding="5">
        <h:outputText value="Validada" />
        <p:selectBooleanButton id="value2" value="#{inscricaoMB.inscricao.validada}" onLabel="Sim" offLabel="Não" style="width:60px" />
     </h:panelGrid>
     
     </p:panelGrid>    
     
 	<p:commandButton value="Cadastrar"
      style="margin-bottom:5px; font-size: 16px; padding: 0px 0px; margin: 4px 6px"
      action="#{inscricaoMB.salvar}"
      update=":formInscricao"  
             
 	/>
 
 
	</p:panel>


</h:form>


 </ui:define>
</ui:composition>